package cn.fw.valhalla.domain.db;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.sdk.enums.DataTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 业务数据
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OriginalData extends BaseAuditableTimeEntity<OriginalData, Long> {
    /**
     * 数据类型
     */
    private DataTypeEnum type;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 数据产生时间
     */
    private Date generateTime;
    /**
     * 业务id
     */
    private String detailId;
    /**
     * 是否处理
     */
    private Boolean solved;
    /**
     * 集团id
     */
    private Long groupId;
}
