package cn.fw.valhalla.domain.dto;

import lombok.Data;

import java.util.Date;

/**
 * 跟进任务
 *
 * @author kurisu
 */
@Data
public class FollowPoolDTO {
    private Long id;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 跟进类型
     */
    private Integer type;
    /**
     * 二次跟进
     */
    private Boolean redistribution;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 剩余天数
     */
    private Integer remaining;
    /**
     * 状态 1：进行中 2：已成交 3：战败
     */
    private Integer state;
    /**
     * 成交时间
     */
    private Date finishTime;
    /**
     * 战败时间
     */
    private Date defeatTime;
    /**
     * 主动放弃
     */
    private Boolean initiative;
    /**
     * 集团id
     */
    private Long groupId;


    private Integer originState;
    private Boolean finished;
    /**
     * 原始跟进门店
     */
    private Long originShop;
    /**
     * 完成门店
     */
    private Long finishShop;
}
