package cn.fw.valhalla.domain.vo.customer;

import lombok.Data;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : PublicPoolVO
 * @description : 公共池
 * @date: 2020-09-25 16:21
 */
@Data
@ToString
public class PublicPoolVO {
    private Long id;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 住址
     */
    private String address;
    /**
     * 工作单位
     */
    private String company;
    /**
     * 公共池类型
     */
    private String typeDesc;
    /**
     * 服务站
     */
    private Long shopId;
    /**
     * 服务站名称
     */
    private String shopName;
    /**
     * 进站次数
     */
    private Integer times;
    /**
     * 原因
     */
    private String reason;
}
