package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.follow.FollowNoticeRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowNoticeRecordService
 * @description : notice
 * @date: 2020-08-12 11:10
 */
public interface FollowNoticeRecordService extends IService<FollowNoticeRecord> {
    /**
     * 删除
     *
     * @param taskId
     * @return
     */
    boolean removeByTaskId(Long taskId);

    /**
     * 通过taskId列表批量删除
     *
     * @param idList
     * @return
     */
    boolean removeByTaskIds(List<Long> idList);
}
