package cn.fw.valhalla.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : IRDetailVO
 * @description : 续保跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class IRDetailVO extends FollowDetailVO {
    /**
     * 交强险保险公司名称
     */
    private String tclInsComName;
    /**
     * 交强险保险到期时间
     */
    private Date tclInsExpiration;
    /**
     * 商业险保险公司名称
     */
    private String busInsComName;
    /**
     * 商业险保险到期时间
     */
    private Date busInsExpiration;
}
